[greenstone-users] Greenstone on Debian Sarge?

From jon.brewer@att.net
DateWed, 05 Jan 2005 09:03:30 +0000
Subject [greenstone-users] Greenstone on Debian Sarge?
Hello list,
 
Using Sarge & Greenstone I've spent the afternoon fighting with versions of XML Parsers and am looking for a little insight. I started off trying to import a set of documents with the import.pl script. This failed due to "undefined symbols" and Expat.so, much like described in the FAQ.
 
In order to remedy I did as per FAQ remove gsdl/perllib/cpan/XML and gsdl/perllib/cpan/auto directories. I did install the required packages. Now I have this (below). Help?
 
XML::Parser::Expat object version 2.34 does not match bootstrap parameter 2.27 at /usr/lib/perl/5.8/DynaLoader.pm line 245.
Compilation failed in require at /usr/local/gsdl/perllib/cpan/perl-5.8/XML/Parser.pm line 14.
BEGIN failed--compilation aborted at /usr/local/gsdl/perllib/cpan/perl-5.8/XML/Parser.pm line 18.
Compilation failed in require at /usr/local/gsdl/perllib/XMLParser.pm line 29.
BEGIN failed--compilation aborted at /usr/local/gsdl/perllib/XMLParser.pm line 29.
Compilation failed in require at /usr/local/gsdl/perllib/plugins/XMLPlug.pm line 36.
BEGIN failed--compilation aborted at /usr/local/gsdl/perllib/plugins/XMLPlug.pm line 36.
Compilation failed in require at /usr/local/gsdl/perllib/plugins/GAPlug.pm line 35.
BEGIN failed--compilation aborted at /usr/local/gsdl/perllib/plugins/GAPlug.pm line 35.
Compilation failed in require at /usr/local/gsdl/perllib/plugin.pm line 67.
TIA,

Jonathan Brewer